Subject: Re: linux-next: manual merge of the slab tree with the mm-unstable tree

From: Matthew Wilcox <[email-masked]>
Date: Mon, 21 Jul 2025 20:38:09 +0100

On Mon, Jul 21, 2025 at 02:20:01PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the slab tree got a conflict in:
> 
>   fs/proc/page.c
> 
> between commit:
> 
>   a602ee331e31 ("fs: stable_page_flags(): use snapshot_page()")
> 
> from the mm-unstable tree and commit:
> 
>   d8178294c53e ("proc: Remove mention of PG_slab")
> 
> from the slab tree.
> 
> I fixed it up (I just used the former version) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any

I think the snapshot_page commit was incorrect in removing this comment.
It is still valuable information.  I think the comment from d8178294c53e
should remain in the tree after the resolution.